Changelog
=========

1.9.0
-----
  - Update to nuke-16 (#26)

1.8.0
-----
  - Update to nuke-15 (#24)

1.7.0
-----
  - Time display: Configure to display time by days or overall hours (#23)

1.6.0
-----
  - Add studio model (#21)
  - Add help menu #(22)

1.5.0
-----
  - Update to nuke-14 (#20)

1.4.1
-----
  - Fix dropping license into license window raises UnicodeDecodeError (#19)

1.4.0
-----
  - Fix reading trial license data fails decrypting (#17)
  - Send email to license author when machine installs license (#18)

1.3.3
-----
  - Port to Nuke-13 (#16)

1.3.2
-----
  - Allow install if mac id is already in DB and license quantity is 0 (#15)

1.3.1
-----
  - Fix: Main UI is not addressable after installing time log listener (#14)

    We noticed after the time log event listener got installed in the package's
    menu.py, Nuke's main window could no longer be addressed by other scripts.
    This happened in Nuke-12 only and has been fixed now.

1.3.0
-----
  - Export current view in time ranking mode and pie view mode as csv (#13)

    The current view of the time ranking mode and pie view mode can now be
    exported as csv to disk from a right click menu. The exported csv file
    contains all rows and all information about the currently set up window
    state like total amount of logs, total time, sorting order, merged state,
    filter, etc.

1.2.0
-----
  - Inject custom values into time logs (#10)

    smartLog offers now a 'timelog_fields' module in the 'custom' python
    package (located in smartLog_vX.X.X/smartLog/custom) that you can use to
    your advantage to inject any custom data into time logs when they get
    created and/ or updated. Make sure to read the documentation's 'Adding
    custom time log fields' page to fully understand how this feature works.

  - Skip log from loading when it cannot be parsed (#12)

    In previous versions, smartLog did not show any log if there was at least
    one log that could not be loaded. Instead of showing nothing, we log the
    time log that cannot be parsed and give reasons why it cannot be parsed,
    skip loading it and continue showing all other logs.

1.1.0
-----
  - Make merge pattern configurable (#8)

    The settings section contains now a new widget 'Substring ignore pattern'.
    This feature lets you define custom patterns for merging working files.
    This is useful as file naming differs from company to company and making
    the pattern configurable gives you additional flexibility to decide which
    time logs to merge and which not. This uses regular expressions and back
    references in order to ignore certain sub strings. Please have a look
    at our written documentation for more information about this feature. By
    default, we will now ignore version number and user abbreviation at the
    end of a file name as this is a common usage but feel free to adjust this
    to your needs.

  - Increase idle settings time to 4 digits (#9)

    The settings panel's 'idle after' widget got increased from 2 to 4 digits.

1.0.2
-----
  - Update entry point location for Linux (#6)
  - Fix: Right click menu does not get shown (#7)

1.0.1
-----
  - Fix: Confirm dialog stays below main window in Windows (#4)
  - Fix: Cannot delete time log in Windows as there is an open file handle (#5)

1.0.0
-----
  - Initial release

0.2.0
-----
  - Write documentation
  - Play sound when timer widget times out and make sound configurable
  - Create custom commands API to inject custom commands into smartLog's UI

0.1.0
-----
  - Create TimeLogger API
  - Create LogAnalyser API
  - Create GUI
  - Create view widgets: History, Ranking, Pie view
  - Filter logs by time, ascending, descending
  - Export selected logs to folder
  - Export selected logs to csv
  - Export selected logs to pdf
  - Import selected logs from folder
  - Import selected logs from csv
  - Create day rate calculator
  - Context menu command: Edit log
  - Context menu command: Reveal working file in explorer
  - Context menu command: Launch working file in Nuke
  - Context menu command: Reveal log
  - Context menu command: Delete log
  - Search logs, strict and loose
  - Tag logs
  - Time tracker window to get notified after x minutes
  - Add tooltips to all major widgets
  - Create settings widget to drive various elements by user choice
  - Change user
  - Create ignore working files mechanism
  - Add licensing system
  - Create Idle detection
